TemplatevtkImageIterator< DType > class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageIterator< DType > Class Template Reference

`#include <vtkImageIterator.h>`

Inheritance diagram for vtkImageIterator< DType >:

[legend]
List of all members.

## Detailed Description

### template<class DType>
class vtkImageIterator< DType >

a simple image iterator

Date:
  2002/07/01 22:05:23

Revision:
  1.8

This is a simple image iterator that can be used to iterate over an image. This should be used internally by Filter writers.

See also:
  vtkImage vtkImageProgressIterator

Created by:
  - Cedilnik, Andy
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (69%)
  - Cedilnik, Andy (24%)
  - King, Brad (6%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkImageIterator.cxx)`
  - .`h` (`/Common/vtkImageIterator.h)`
  - .`txx` (`/Common/vtkImageIterator.txx)`

Tests:
  vtkImageIterator (Tests)

Definition at line 53 of file vtkImageIterator.h.

## Public Types
typedef DType * | SpanIterator
## Public Methods
| vtkImageIterator (vtkImageData *id, int *ext)
void | NextSpan ()
SpanIterator | BeginSpan ()
SpanIterator | EndSpan ()
int | IsAtEnd ()
## Protected Attributes
DType * | Pointer
DType * | SpanEndPointer
DType * | SliceEndPointer
DType * | EndPointer
int | Increments [3]
int | ContinuousIncrements [3]

## Member Typedef Documentation

template<class DType>
typedef DType* vtkImageIterator< DType >::SpanIterator

| Definition at line 56 of file vtkImageIterator.h. Referenced by vtkImageIterator< DType >::BeginSpan(), and vtkImageIterator< DType >::EndSpan().

## Constructor & Destructor Documentation

template<class DType>
vtkImageIterator< DType >::vtkImageIterator | ( | vtkImageData * | id,
|  | int * | ext
| ) |

| Create an image iterator fora given image data and a given extent

## Member Function Documentation

template<class DType>
void vtkImageIterator< DType >::NextSpan | ( |  | ) |

| Move the iterator to the next span Reimplemented in vtkImageProgressIterator< DType >.

template<class DType>
SpanIterator vtkImageIterator< DType >::BeginSpan | ( |  | ) | `[inline]`

| Return an iterator (pointer) for the span Definition at line 66 of file vtkImageIterator.h. References vtkImageIterator< DType >::Pointer, and vtkImageIterator< DType >::SpanIterator.

template<class DType>
SpanIterator vtkImageIterator< DType >::EndSpan | ( |  | ) | `[inline]`

| Return an iterator (pointer) for the end of the span Definition at line 74 of file vtkImageIterator.h. References vtkImageIterator< DType >::SpanEndPointer, and vtkImageIterator< DType >::SpanIterator.

template<class DType>
int vtkImageIterator< DType >::IsAtEnd | ( |  | ) | `[inline]`

| tets if the end of the extent has been reached Definition at line 82 of file vtkImageIterator.h. References vtkImageIterator< DType >::EndPointer, and vtkImageIterator< DType >::Pointer.

## Member Data Documentation

template<class DType>
DType* vtkImageIterator< DType >::Pointer`[protected]`

| Definition at line 89 of file vtkImageIterator.h. Referenced by vtkImageIterator< DType >::BeginSpan(), and vtkImageIterator< DType >::IsAtEnd().

template<class DType>
DType* vtkImageIterator< DType >::SpanEndPointer`[protected]`

| Definition at line 90 of file vtkImageIterator.h. Referenced by vtkImageIterator< DType >::EndSpan().

template<class DType>
DType* vtkImageIterator< DType >::SliceEndPointer`[protected]`

| Definition at line 91 of file vtkImageIterator.h.

template<class DType>
DType* vtkImageIterator< DType >::EndPointer`[protected]`

| Definition at line 92 of file vtkImageIterator.h. Referenced by vtkImageIterator< DType >::IsAtEnd().

template<class DType>
int vtkImageIterator< DType >::Increments[3]`[protected]`

| Definition at line 93 of file vtkImageIterator.h.

template<class DType>
int vtkImageIterator< DType >::ContinuousIncrements[3]`[protected]`

| Definition at line 94 of file vtkImageIterator.h.

The documentation for this class was generated from the following file:

- Common/vtkImageIterator.h